> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new batch of users

> Creates a new user in your Embedded account. The user record acts like a "container" to store all the integrations, workflows, and credentials for any given user. Returns a user identifier.



## OpenAPI

````yaml post /users/batch
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /users/batch:
    post:
      summary: Create a new batch of users
      description: >-
        Creates a new user in your Embedded account. The user record acts like a
        "container" to store all the integrations, workflows, and credentials
        for any given user. Returns a user identifier.
      operationId: batch-create-users
      parameters:
        - name: Authorization
          in: header
          description: Your Embedded API key for authorization
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - users
              properties:
                users:
                  type: array
                  description: >-
                    An array of user objects to be created. Each object must
                    contain a `username` (mandatory) and an optional `fullName`.
                    Limited to 1000 users at a time.
                  items:
                    type: object
                    properties:
                      username:
                        type: string
                        description: The username of the user.
                        example: demo@runalloy.com
                      fullName:
                        type: string
                        description: The full name of the user.
                        example: Gregg Mojica
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: success
                    invalidUsers:
                      - fullName: Missing Username
                      - username: alreadyexists123
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
                  invalidUsers:
                    type: array
                    items:
                      type: object
                      properties:
                        fullName:
                          type: string
                          example: Missing Username
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: No valid users provided
              schema:
                oneOf:
                  - type: object
                    properties:
                      message:
                        type: string
                        example: All users already exist
                  - type: object
                    properties:
                      message:
                        type: string
                        example: No valid users provided
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````